Package Gnumed :: Package wxpython :: Module gmMultiSash :: Class cMultiSashLeafContent |
[frames] | no frames]

# Class cMultiSashLeafContent

source code

    wx.Window --+
                |
               cMultiSashLeafContent

Widget that encapsulate contents of a leaf or split window.

Instance Methods
__init__(self, parent) | source code
set_new_content(self, content) Sets the as content child of this widget. | source code
Select(self) May be invoked by user clicking on the leaf, or programmatically after leaf creation. | source code
CalcSize(self, parent) | source code
OnSize(self, evt) | source code

Method Details

### set_new_content(self, content) | source code
Sets the as content child of this widget. @param content The new content widget to set.. @type content Any wx.Window derived object.

### Select(self) | source code
May be invoked by user clicking on the leaf, or programmatically after leaf creation. Highlight it and update focused leaf.